Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class AddUserCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Void>
          org.jbpm.services.task.commands.AddUserCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Void>, Command<Void>

    public class AddUserCommand

extends TaskCommand<Void>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId`

Constructor Summary
`AddUserCommand()`
`AddUserCommand(String userId)`

Method Summary
`Void` | `execute(org.kie.internal.command.Context cntxt)`
`String` | `getUserId()`
`void` | `setUserId(String userId)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, setGroupsIds, setTargetEntityId, setTaskId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddUserCommand

    public AddUserCommand()

### AddUserCommand

    public AddUserCommand(String userId)

Method Detail

### execute

    public Void execute(org.kie.internal.command.Context cntxt)

### getUserId

    public String getUserId()

  Overrides:
    `getUserId` in class `TaskCommand<Void>`

### setUserId

    public void setUserId(String userId)

  Overrides:
    `setUserId` in class `TaskCommand<Void>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.